<?php
// ------ Requires the actual API file.   This can be placed anywhere as long as you indicate
// ------ the proper path
if (!$deact)
     require (direcname("$base","mpgClasses.php"));
// ------ Define all the required variables.   These can be passed by whatever means you wish
// ------ step 1) create transaction hash
if ($typea=='purchase') {
  $mois=substr($datecard,0,2);
  $an=substr($datecard,2,2);
  $datecardm=sprintf("%s%s",$an,$mois);
  $cvd_indicator="1";
  $cvdTemplate = array('cvd_indicator' => $cvd_indicator,
                     'cvd_value' => $code_secur
		       );
  $mpgCvdInfo = new mpgCvdInfo ($cvdTemplate);
$txnArray=array(type=>$typea,
         order_id=>$orderid,
		cust_id=>$remuser,
          amount=>$mon_amount,
         pan=>$crcard,
         expdate=>$datecardm,
         crypt_type=>$mon_crypttype
           );
}
else {
  //  echo ("type=$typea txn=$txnnumber or=$orderid mon=$mon_amount rem=$remuser ");
$txnArray=array(type=>$typea,
		txn_number=>$txnnumber,
		order_id=>$orderid,
		cust_id=>$remuser,
		amount=>$mon_amount,
		crypt_type=>$mon_crypttype
		);
}
// ------ step 2) create a transaction object passing the hash created in step 1.
$mpgTxn = new mpgTransaction($txnArray);
/********************** CVD Associative Array *************************/
$mpgTxn->setCvdInfo($mpgCvdInfo);
// ------ step 3) create a mpgRequest object passing the transaction object created in step 2
$mpgRequest = new mpgRequest($mpgTxn);
// ------ step 4) create mpgHttpsPost object which does an https post
$mpgHttpPost =new mpgHttpsPost($mon_storeid,$mon_apitoken,$mpgRequest);
// ------ step 5) get an mpgResponse object
$mpgResponse=$mpgHttpPost->getMpgResponse();
// ------ step 6) retrieve data using get methods. Using these methods you can retrieve the
// ------ appropriate variables (getResponseCode) to check if the transactions is approved
// ------ (=>0 or <50) or declined (>49) or incomplete (NULL)
if ($pattern)
     $pattern.=",";
$pattern.=sprintf("orderid='%s'",$orderid);
$pattern.=sprintf(",referencenum='%s'",$mpgResponse->getReferenceNum());
$pattern.=sprintf(",reponsecode=%s",$mpgResponse->getResponseCode());
$pattern.=sprintf(",iso=%s",$mpgResponse->getISO());
$pattern.=sprintf(",authcode='%s'",$mpgResponse->getAuthCode());
$pattern.=sprintf(",transtime='%s'",$mpgResponse->getTransTime());
$pattern.=sprintf(",transdate='%s'",$mpgResponse->getTransDate());
$pattern.=sprintf(",message='%s'",$mpgResponse->getMessage());
$pattern.=sprintf(",typcard='%s'",$mpgResponse->getCardType());
$creditcard=func_encrypt($conn,$crcard,$code_crypt);
$pattern.=sprintf(",%s",$creditcard);
//$pattern.=sprintf(",crcard='%s'",$crcard);
$pattern.=sprintf(",expire='%s'",$datecard);
$pattern.=sprintf(",staff='%s'",$remuser);
$pattern.=sprintf(",txnnumber='%s'",$mpgResponse->getTxnNumber());
$mon_mess=$mpgResponse->getMessage();
$mon_auth=$mpgResponse->getAuthCode();
$mon_code=$mpgResponse->getResponseCode();
$mon_iso=$mpgResponse->getISO();
$mon_secur=$mpgResponse->getCvdResultCode();
/*
print("\nCVDResponse = " . $mpgResponse->getCvdResultCode());
print ("\nCardType = " . $mpgResponse->getCardType());
echo ("<BR>");
print("\nTransAmount = " . $mpgResponse->getTransAmount());
echo ("<BR>");
print("\nTxnNumber = " . $mpgResponse->getTxnNumber());
echo ("<BR>");
print("\nReceiptId = " . $mpgResponse->getReceiptId());
echo ("<BR>");
print("\nTransType = " . $mpgResponse->getTransType());
echo ("<BR>");
print("\nReferenceNum = " . $mpgResponse->getReferenceNum());
echo ("<BR>");
print("\nResponseCode = " . $mon_code);
echo ("<BR>");
print("\nISO = " . $mpgResponse->getISO());
echo ("<BR>");
print("\nMessage = " . $mpgResponse->getMessage());
echo ("<BR>");
print("\nAuthCode = " . $mpgResponse->getAuthCode());
echo ("<BR>");
print("\nComplete = " . $mpgResponse->getComplete());
echo ("<BR>");
print("\nTransDate = " . $mpgResponse->getTransDate());
echo ("<BR>");
print("\nTransTime = " . $mpgResponse->getTransTime());
echo ("<BR>");
print("\nTicket = " . $mpgResponse->getTicket());
echo ("<BR>");
print("\nTimedOut = " . $mpgResponse->getTimedOut());
echo ("<BR>");
*/
?>
